/**********************/
/* 1章 数値計算の基礎 */
/**********************/

/* マシンイプシロンを求めるプログラム（本書の演習問題1.8参照） */

#include<stdio.h>

/* メイン関数 */
int main(void){
  float eps_f = 1.0f;
  double eps_d = 1.0;

  /* 単精度のマシンイプシロンの計算 */
  while(1.0f + eps_f > 1.0f){
	eps_f /= 2.0f;
  }
  printf("単精度のマシンイプシロン：%g\n", 2.0f*eps_f);

  /* 倍精度のマシンイプシロンの計算 */
  while(1.0 + eps_d > 1.0){
	eps_d /= 2.0;
  }
  printf("倍精度のマシンイプシロン：%g\n", 2.0*eps_d);
  
  return 0;
}
