# -*- coding: utf-8 -*-
"""*****************"""
""" 1章 数値計算の基礎 """
"""*****************"""

""" 10進数を2進数に変換するプログラム（本書の演習問題1.6参照） """ 

IMAX = 32 # 変換後の整数部分の最大桁数
DMAX = 32 # 変換後の小数部分の最大桁数

f1, f2 = [],[] # 変換後の2進数を保存する配列 

""" 10進数の入力 """
print("正の10進数を入力：", end="")
z = float(input())

""" 整数部分と小数部分への分離 """
x = int(z)
y = z - x
""" 整数部分の変換 """
i = 0
while True :
    f1.append(x%2)
    x /= 2
    x = int(x)
    i += 1
    if x == 0 :
        print(" *** 整数部分の変換完了 ***")
        break
    elif i == IMAX  :
        print("整数部分の保存可能な最大桁数に到達しました")
        print(" *** 整数部分の変換を強制終了します ***")
        break

""" 小数部分の変換 """
j = 0
while True :
    y *= 2
    f2.append(int(y))
    y -= f2[j]
    j += 1
    if y == 0 :
        print(" *** 小数部分の変換完了 ***")
        break
    elif j == DMAX :
        print("小数部分の保存可能な最大桁数に到達しました")
        print(" *** 小数部分の変換を強制終了します ***")
        break

""" 2進数の出力 """
print("変換後の2進数：", end="")
for k in reversed(range(i)) :
    print("{:d}".format(f1[k]), end="")
print(".", end="")
for k in range(j) :
    print("{:d}".format(f2[k]), end="")

print("")