# -*- coding: utf-8 -*-
"""*****************"""
""" 1章 数値計算の基礎 """
"""*****************"""

""" マシンイプシロンを求めるプログラム（本書の演習問題1.8参照） """ 

import numpy as np

eps_f = np.float32(1.0)
eps_d = 1.0

""" 単精度のマシンイプシロンの計算 """
while np.float32(1.0) + eps_f > np.float32(1.0) :
    eps_f /= np.float32(2.0)

print("単精度のマシンイプシロン：{:g}".format(np.float32(2.0)*eps_f)) 

""" 倍精度のマシンイプシロンの計算 """
while 1.0 + eps_d > 1.0 :
    eps_d /= 2.0

print("倍精度のマシンイプシロン：{:g}".format(2.0*eps_d)) 