/**********************/
/* 1章 数値計算の基礎 */
/**********************/

/* 10進数を2進数に変換するプログラム（本書の演習問題1.6参照） */

#include<stdio.h>

#define IMAX 32 // 変換後の整数部分の最大桁数
#define DMAX 32 // 変換後の小数部分の最大桁数

/* メイン関数 */
int main(void){
  int i, j, k, x;
  int f1[IMAX], f2[DMAX]; /* 変換後の2進数を保存する配列 */
  double y, z;

  /* 10進数の入力 */
  printf("正の10進数を入力：");
  scanf("%lf", &z);

  /* 整数部分と小数部分への分離 */
  x = (int)z;
  y = z - x;

  /* 整数部分の変換 */
  i = 0;
  while(1){
	f1[i] = x%2;
	x /= 2;
	i++;
	if(x == 0){
	  printf(" *** 整数部分の変換完了 ***\n");
	  break;
	}else if(i == IMAX){
	  printf("整数部分の保存可能な最大桁数に到達しました\n");
	  printf(" *** 整数部分の変換を強制終了します ***\n");
	  break;
	}
  }

  /* 小数部分の変換 */
  j = 0;
  while(1){
	y *= 2;
	f2[j] = (int)y;
	y -= f2[j];
	j++;
	if(y == 0){
	  printf(" *** 小数部分の変換完了 ***\n");
	  break;
	}else if(j == DMAX){
	  printf("小数部分の保存可能な最大桁数に到達しました\n");
	  printf(" *** 小数部分の変換を強制終了します ***\n");
	  break;
	}
  }

  /* 2進数の出力 */
  printf("変換後の2進数：");
  for(k=i-1; k>=0; k--){
	printf("%d", f1[k]);
  }
  printf(".");
  for(k=0; k<j; k++){
	printf("%d", f2[k]);
  }
  printf("\n");
  
  return 0;
}
